package com.hzya.frame.grpU8.nxproof.gbizbxmb.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.grpU8.nxproof.gbizbxmb.entity.GbiZbxmbEntity;
import com.hzya.frame.grpU8.nxproof.gbizbxmb.dao.IGbiZbxmbDao;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * (GbiZbxmb)表数据库访问层
 *
 * @author makejava
 * @since 2024-08-14 16:58:43
 */
@Repository(value = "GbiZbxmbDaoImpl")
public class GbiZbxmbDaoImpl extends MybatisGenericDao<GbiZbxmbEntity, String> implements IGbiZbxmbDao{

    @Override
    @DS("#gbiZbxmbEntity.dataSourceCode")
    public GbiZbxmbEntity queryZbidAndZbdm(GbiZbxmbEntity gbiZbxmbEntity) {
        return (GbiZbxmbEntity) super.selectOne("queryZbidAndZbdm", gbiZbxmbEntity);
    }

    @Override
    @DS("#gbiZbxmbEntity.dataSourceCode")
    public Integer updateZbmxBmmc(GbiZbxmbEntity gbiZbxmbEntity) {
        int update = super.update("updateZbmxBmmc", gbiZbxmbEntity);
        return update;
    }

    @Override
    @DS("#gbiZbxmbEntity.dataSourceCode")
    public List<GbiZbxmbEntity> queryZbxmbByIdpzh(GbiZbxmbEntity gbiZbxmbEntity) {
        return (List<GbiZbxmbEntity>)super.selectList("queryZbxmbByIdpzh",gbiZbxmbEntity);
    }

}

